Package org.eclipse.team.ui.history

# Class ElementLocalHistoryPageSource

java.lang.Object
org.eclipse.team.ui.history.HistoryPageSource
org.eclipse.team.ui.history.ElementLocalHistoryPageSource

All Implemented Interfaces:
  `IHistoryPageSource`

public abstract class ElementLocalHistoryPageSource extends HistoryPageSource
A history page source that can create history pages for a sub-element of a file.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`ElementLocalHistoryPageSource()`
Create an instance of the page source.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`canShowHistoryFor(Object object)`
Returns true if this history page source can show a history for the given object, false if it cannot
`final Page`
`createPage(Object object)`
Called by the history view to create the page for this IFileHistoryProvider.
`protected abstract IFile`
`getFile(Object element)`
Return the file that contains the given element of `null` if this page source can not show history for the given element.
`static ITypedElement`
`getPreviousEdition(IFile file, Object element)`
Return the previous edition from the local history of the given element located in the given file.
`final IFile`
`internalGetFile(Object element)`
Return the file that contains the given element of `null` if this page source can not show history for the given element.

### Methods inherited from class org.eclipse.team.ui.history.HistoryPageSource

`getHistoryPageSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementLocalHistoryPageSource

public ElementLocalHistoryPageSource()
Create an instance of the page source.

## Method Details

### getPreviousEdition

public static ITypedElement getPreviousEdition(IFile file, Object element) throws TeamException
Return the previous edition from the local history of the given element located in the given file. A `null` is returned if a previous edition could not be found.

Parameters:
  `file` - the file containing the element
  `element` - the element
Returns:
  the previous edition of the element from the local history or `null`
Throws:
  `TeamException` - if an error occurs

### canShowHistoryFor

public final boolean canShowHistoryFor(Object object)
Description copied from interface: `IHistoryPageSource`
Returns true if this history page source can show a history for the given object, false if it cannot

Parameters:
  `object` - the object that is to have history shown
Returns:
  boolean

### createPage

public final Page createPage(Object object)
Description copied from interface: `IHistoryPageSource`
Called by the history view to create the page for this IFileHistoryProvider. The page must implement `IHistoryPage`.

Parameters:
  `object` - the object whose history is to be shown
Returns:
  a Page that implements IHistoryPage (should return either an IPage, IPageBookViewPage or an IHistoryPage
See Also:
  - `IHistoryPage`

### getFile

protected abstract IFile getFile(Object element)
Return the file that contains the given element of `null` if this page source can not show history for the given element.

Parameters:
  `element` - the element
Returns:
  the file that contains the given element of `null`

### internalGetFile

public final IFile internalGetFile(Object element)
Return the file that contains the given element of `null` if this page source can not show history for the given element.

Parameters:
  `element` - the element
Returns:
  the file that contains the given element of `null`
Restriction:
  This method is not intended to be referenced by clients.